function deepOK = check_track_exist_and_complete( sDir, initFrame, initX, initY, trackLength )
% CHECK_TRACK_EXIST_AND_COMPLETE
% Deep check of the output file: exists, can be opened as MAT file,
% contains a track of the required lenght

filenameFormat = 'frame%.6d_x%.5d_y%.5d.mat';
filename = sprintf(filenameFormat, [initFrame, initX, initY] );

if ~exist([sDir, '/', filename], 'file')
    deepOK = false;
    return;
end

try
    tmpStruct = load([sDir, '/', filename], 'track');
    track = tmpStruct.track;
    clear tmpStruct;
catch em
    deepOK = false;
    return;
end

predictionLength = size(track.prediction,1);
if predictionLength < trackLength - 1
    deepOK = false;
else
    deepOK = true;
end


end

