function [coords, trackLength] = read_annotated_track(filename)
% [COORDS, TRACKLENGTH] = READ_ANNOTATED_TRACK(FILENAME)
%   FILENAME : file containing ground-truth coordinates of a tracked
%   object. 
%       First line: lenth of the track (number of frames)
%       Next lines: x, y, frame coordinates (-1 -1 -1 if no GT info for
%       that frame)
%   COORDS : x, y, frame coordinates per row (without the empty entries)
%   TRACKLENGTH: lenth of the track (number of frames) (including those
%   without info. Should be the same as COORDS(size(COORDS,1),3) -
%   COORDS(1,3) + 1.
%

%---
%  Auto-generated by MATLAB on 02-Mar-2012 12:10:35
DELIMITER = ' ';
HEADERLINES = 1;
% Import the file
newData = importdata(filename, DELIMITER, HEADERLINES);
%---

% The data is sotred in the field 'data', each row: [x, y, frame]
coords = newData.data;
trackLength = size(coords,1);
% check
if trackLength ~= coords(trackLength,3) - coords(1,3) + 1
    display(['WARNING: read_annotated_track(', filename, ')']);
end

% delete empty entries ( x = -1, y = -1, fr = -1)
mask = coords(:,3) < 0;
coords(mask,:) = [];

% Check

end
