function [Points, trackLength] = search_existing_points_to_track( refFolder, iFrame)

frameString = sprintf('frame%.6d', iFrame); % hard-coded 6 digits
fileNameFormat = [frameString, '_x%5d_y%5d.txt']; % hard-coded 5 digits

% Look for existing data corresponding to this frame
matchingFiles = dir([refFolder, '/', frameString, '*.mat']);
numMatch = numel(matchingFiles);

Points = zeros(numMatch, 2);
for iFile = 1:numMatch
    % Read coordinates
    Points(iFile,:) = sscanf(matchingFiles(iFile).name, fileNameFormat);
end
  
trackLength = zeros(size(Points,1),1) + inf;
end

