function [Points, trackLength] = search_extra_points_to_track( fnamePoints, N, szPatch, szImg, flipVideo, imgWidth )


Points = []; 
fidPoints = fopen(fnamePoints);
if fidPoints > 0
    Points = single(fscanf(fidPoints, '%f', [2 inf]))';
    
    % Check inFrame
    iPoint = uint16(1);
    countPoint = size(Points,1);
    while iPoint <= countPoint
        if flipVideo
            Points(iPoint,1) = imgWidth + 1 - Points(iPoint,1);
        end
        
        inFrame = Points(iPoint,1) - szPatch(1) >= 1.0  && ...
            Points(iPoint,1) + szPatch(1) <= szImg(2) && ...
            Points(iPoint,2) - szPatch(2) >= 1.0  && ...
            Points(iPoint,2) + szPatch(2) <= szImg(1); 
        if inFrame
            iPoint = iPoint + 1;
        else
            Points(iPoint,:) = [];
            countPoint = countPoint - 1;
        end 
    end
    
    % DEBUG Take only a few to test
    some = unique(floor(rand(1,N)*(size(Points,1)-1))+1);
    Nsome = min(size(Points,1), length(some));
    some = some(1:Nsome);

    Points = Points(some,:);

end
fclose(fidPoints);
  
trackLength = zeros(size(Points,1),1) + inf;
end

