function outputList = get_matching_dirs( sDir, token )
    outputList = get_matching_dirs_(sDir, token, cell(0,2));
end


function outputList = get_matching_dirs_( sDir, token, inputList )
%GET_MATCHING_DIRS Recursively searches sDir for subdirs matching the token,
%e.g. token = '*Data'
%Returns nx2 cell with paths to subfolders and subfolder names.
outputList = inputList;

% Find matching files in sDir
dirsHere = dir([sDir, '/', token]);
% Keep only directories
mask_dir = cell(size(dirsHere));
[mask_dir{:}] = dirsHere.isdir;
dirsHere = dirsHere( cell2mat(mask_dir) );
% Add to list
numFound = numel(dirsHere);
if numFound ~= 0
    ln = size(outputList,1);
    for i=1:numFound
        outputList(ln + i, 1:2) = {sDir, dirsHere(i).name};
    end
end

% Look recursively into subfolders
subdirs = file_manip.get_subdirs(sDir);
numFound = numel(subdirs);
if numFound ~= 0
    for i=1:numFound
        outputList = get_matching_dirs_([sDir, '/', char(subdirs(i))], token, outputList);
    end
end

end

