function [numAnnot, numFrames, okAnnot, okFrames] = compare_tracks(...
    fnameTrack, fnameGT, okThresholds)
global logfid


okAnnot = zeros(length(okThresholds),1);
okFrames = zeros(length(okThresholds),1);


tmpStruct = load(fnameTrack, 'track');
track = tmpStruct.track;
clear tmpStruct;
initFrame = track.initPos(3);

[coords, trackLength] = annotation.read_annotated_track(fnameGT);

numAnnot = size(coords,1) - 1;
numFrames = trackLength - 1;

increments = zeros(numAnnot, 3); %x, y, timeInterval
for i = 1:numAnnot
    relFrame = coords(i+1,3) - initFrame;
    try
    increments(i, 1:2) = coords(i+1,1:2) - track.prediction(relFrame,1:2);
    catch em
        fprintf(logfid, ['\n', 'compare_tracks: ', em.message, '\n',...
            fnameTrack, '\n', ...
            'numAnnot: ', num2str(numAnnot), '; ', ...
            'initFrame: ', num2str(initFrame), '; ', ...
            'lastFrame: ', num2str(coords(numAnnot+1, 3)), '\n',...
            'predictionLength: ', num2str(size(track.prediction,1)) '\n']);
        increments(i, 1:2) = [1999, 1999];
        display(fnameTrack);
    end
        
    increments(i,3) = coords(i+1,3) - coords(i,3);
end

for th = 1:length(okThresholds)
   okAnnotMask = abs(increments(:,1)) < okThresholds(th) ...
       &  abs(increments(:,2)) < okThresholds(th);
   okAnnot(th) = sum(okAnnotMask);
   for k = 1:numAnnot
      if okAnnotMask(k) && (k==1 ||  okAnnotMask(k-1))
          okFrames(th) = okFrames(th) + increments(k,3);
      end
   end
end

end