function [ idxToPropagate ] = resample_particles( weights, numParticles )
%RESAMPLE_PARTICLES Resample favoring particles that had higher likelihood
%   Returns indices of particles to propagate.
%   Based on Gabe's code

idxToPropagate = zeros(1,numParticles);

% Cumulative probability
cumWeights = cumsum(weights);
% Pick random thresholds in the cumulative probability's range [0,1]:
someThresh = rand(numParticles,1);
% For each random threshold, find which sample in the ordered set is the
% first one to push the cumulative probability above that threshold. 
for iSampl = 1:numParticles
    th = someThresh(iSampl);
    for idx = 1:length(cumWeights)
        if cumWeights(idx) > th
            break
        end
    end
    idxToPropagate(iSampl) = idx;
end        

end

