% script_track_video_tkr.m

% Hard-coded data directory.
global GDataDir
GDataDir = 'F:/data/tracking'; 

close all;
warning('OFF', 'images:maketform:conditionNumberofAIsHigh')
warning('OFF', 'MATLAB:nearlySingularMatrix')

% Set variable videosToRun
tmp = load('tkr_videoIDs'); %'tkl_videoIDs');
videosToRun = tmp.videosToRun;



% We may want to interpret these videos as being flipped
flip_videos = true; %=false;

% Some tag for this particular run of the experiment
tag = 'run001'; 


for iVid = 1:numel(videosToRun)
    % Set videoId: 
    videoId = videosToRun{iVid};
    % Load info
    load(['info_files/', videoId, '_info'], ...
        'startFrame', 'endFrame', 'frameNamePattern');
    
    % Which motion models to use on this video,
    % among 'brown', 'const', 'tkr', 'tkl', 'fwd' and 'bwd'.
    motion_model_strings = {'tkl', 'fwd', 'bwd', 'brown', 'const', 'tkr'};
    
    % A set of values for the noise_level parameter
    noise_levels = [ 0.1, 0.2, 0.5, 1, 2, 5 ];
    
    % Actual tracking
    for i=1:numel(motion_model_strings)
        mmStr = motion_model_strings{i};
        for nl = noise_levels
            close all;
            track_video(startFrame, endFrame, frameNamePattern,...
                mmStr, nl, flip_videos, tag);
        end
    end

end